| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_hids_s Struct Reference
Human Interface Device Service

HID Service structure. This contains various status information for the service. More...

`#include <ble_hids.h>`

## Data Fields
ble_hids_evt_handler_t | evt_handler
ble_srv_error_handler_t | error_handler
uint16_t | service_handle
ble_gatts_char_handles_t | protocol_mode_handles
uint8_t | inp_rep_count
ble_hids_rep_char_t | inp_rep_array [10]
uint8_t | outp_rep_count
ble_hids_rep_char_t | outp_rep_array [10]
uint8_t | feature_rep_count
ble_hids_rep_char_t | feature_rep_array [10]
ble_gatts_char_handles_t | rep_map_handles
uint16_t | rep_map_ext_rep_ref_handle
ble_gatts_char_handles_t | boot_kb_inp_rep_handles
ble_gatts_char_handles_t | boot_kb_outp_rep_handles
ble_gatts_char_handles_t | boot_mouse_inp_rep_handles
ble_gatts_char_handles_t | hid_information_handles
ble_gatts_char_handles_t | hid_control_point_handles
uint16_t | conn_handle

## Detailed Description

HID Service structure. This contains various status information for the service.

## Field Documentation

ble_gatts_char_handles_t ble_hids_s::boot_kb_inp_rep_handles

Handles related to the Boot Keyboard Input Report characteristic (will only be created if ble_hids_init_t.is_kb is set).

ble_gatts_char_handles_t ble_hids_s::boot_kb_outp_rep_handles

Handles related to the Boot Keyboard Output Report characteristic (will only be created if ble_hids_init_t.is_kb is set).

ble_gatts_char_handles_t ble_hids_s::boot_mouse_inp_rep_handles

Handles related to the Boot Mouse Input Report characteristic (will only be created if ble_hids_init_t.is_mouse is set).

uint16_t ble_hids_s::conn_handle

Handle of the current connection (as provided by the BLE stack, is BLE_CONN_HANDLE_INVALID if not in a connection).

ble_srv_error_handler_t ble_hids_s::error_handler

Function to be called in case of an error.

ble_hids_evt_handler_t ble_hids_s::evt_handler

Event handler to be called for handling events in the HID Service.

ble_hids_rep_char_t ble_hids_s::feature_rep_array[10]

Information about the Feature Report characteristics.

uint8_t ble_hids_s::feature_rep_count

Number of Feature Report characteristics.

ble_gatts_char_handles_t ble_hids_s::hid_control_point_handles

Handles related to the Report Map characteristic.

ble_gatts_char_handles_t ble_hids_s::hid_information_handles

Handles related to the Report Map characteristic.

ble_hids_rep_char_t ble_hids_s::inp_rep_array[10]

Information about the Input Report characteristics.

uint8_t ble_hids_s::inp_rep_count

Number of Input Report characteristics.

ble_hids_rep_char_t ble_hids_s::outp_rep_array[10]

Information about the Output Report characteristics.

uint8_t ble_hids_s::outp_rep_count

Number of Output Report characteristics.

ble_gatts_char_handles_t ble_hids_s::protocol_mode_handles

Handles related to the Protocol Mode characteristic (will only be created if ble_hids_init_t.is_kb or ble_hids_init_t.is_mouse is set).

uint16_t ble_hids_s::rep_map_ext_rep_ref_handle

Handle of the Report Map External Report Reference descriptor.

ble_gatts_char_handles_t ble_hids_s::rep_map_handles

Handles related to the Report Map characteristic.

uint16_t ble_hids_s::service_handle

Handle of HID Service (as provided by the BLE stack).